#{if (aktifUser.isAdmin() || aktifUser.isAdminLokalSektoral() || aktifUser.isPokja()) && !penawaran?.status.equals(models.prakatalog.Penawaran.STATUS_SELESAI)}
<a href="@{prakatalog.PenawaranCtr.createBeritaAcara(penawaran?.id)}" class="btn btn-sm btn-primary"><i class="fa fa-plus"></i> &{'tambah.label'} &{'berita_acara.label'}</a><br>
#{/if}
<div style="overflow-x: auto">
    <table class="table table-condensed table-striped">
        <thead>
        <tr>
            <th>&{'jenis_berita_acara.label'}</th>
            <th>&{'nomor_berita_acara.label'}</th>
            <th>&{'tanggal_berita_acara.label'}</th>
            <th>&{'file.label'}</th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        #{list bas, as:'item'}
        <tr>
            <td>${item?.deskripsi}</td>
            <td class="header-center">${item?.no_ba}</td>
            <td class="header-center">${item.getFormattedBaDate()}</td>
            <td><a href="${item?.getFileUrl()}">${item?.nama_file}</a></td>
            <td>
                <div class="dropdown">
                    <button class="btn btn-default dropdown-toggle" type="button"
                            id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true"
                            aria-expanded="true">
                        &{'action'}
                        <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu" aria-labelledby="dropdownMenu4">
                        <li>
                            <a href="@{prakatalog.PenawaranCtr.downloadDocBA(item?.id)}"
                               target="_blank">&{'download_attachment'}</a>
                        </li>
                        #{if (aktifUser.isAdmin() || aktifUser.isAdminLokalSektoral() || aktifUser.isPokja()) && !penawaran?.status.equals(models.prakatalog.Penawaran.STATUS_SELESAI)}
                        <li>
                            <a href="#" onclick="openModal(${item?.id})" name="upFileBtn">&{'unggah_file.label'}</a>
                        </li>
                        <li>
                            <a href="@{prakatalog.PenawaranCtr.hapusBeritaAcara(item?.id)}">&{'delete'}</a>
                        </li>
                        #{/if}
                    </ul>
                </div>
            </td>
        </tr>
        #{/list}
        </tbody>
    </table>
</div>

<!--Modal-->
<div class="modal fade" id="uplFileBa" tabindex="-1" role="dialog"
     aria-labelledby="myModalLabel">
    <div class="modal-dialog">
    #{form @prakatalog.PenawaranCtr.uploadBA(), method:'POST', class:'form-horizontal', enctype:'multipart/form-data'}
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"
                        aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title" id="myModalLabel">&{'unggah_file.label'}</h4>
            </div>
            <div class="modal-body">
                <input type="hidden" id="berita_acara_id" name="berita_acara_id" />
                <div class="form-group">
                    <label class="col-md-3 control-label">&{'file.label'} &{'berita_acara.label'}</label>
                    <input type="file" id="fileupload" name="file"/>
                </div>
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-primary btn-md"><i class="fa fa-save"></i>
                &{'simpan.label'}
                </button>
                <button type="button" class="btn btn-danger btn-md" data-dismiss="modal"><i class="fa fa-close"></i>
                &{'batal.label'}
                </button>
            </div>
        </div>
    #{/form}
    </div>
</div>

<script type="text/javascript">
    function openModal(baId) {
        $("#berita_acara_id").val(baId);
        jQuery('#uplFileBa').modal('show');
    }
</script>

